I’m anxious

Flash Player error

I'm getting an error in flash player. I don't understand why. I'm using Firefox 8.01 and 9.01 with Shockwave Flash 11.1 r.102 Error message: http://bit.ly/z0GxUh http://bit.ly/yIFxRW Here is where the video is found - must switch to flash with the toggle: http://bit.ly/zjLvAP
2 people have
this problem
+1
Reply